'use strict';

angular.module('adf.widget.electre.lavoisier')
.factory('renderingFactory',
    [
        'domService',
        function (domService) {
            function domForRenderingSection () {
                /**
                 * Service de manipulation du DOM.
                 * @type domService
                 */
                var domService_ = domService;
                /**
                 * 
                 * @param {AngularFactory} factoryRendering
                 * @param {Element} elementToAppendDom
                 * @param {Object} config
                 */
                this.createRenderingDomFromArray = function (factoryRendering, elementToAppendDom, config) {
                    /**
                     * Label pour l'Element de formulaire.
                     * @type Element
                     */
                    var label = domService_.createElement("label").setAttribute('for', 'select_rendering_for_edit_view').getDom();
                    /**
                     * Select pour le choix du rendering.
                     * @type Element
                     */
                    var select = domService_.createElement("select")
                            .setAttribute('id', 'select_rendering_for_edit_view')
                            .setAttribute('class', 'form-control')
                            .setAttribute('ng-model', 'config.rendering').getDom();
                    /**
                     * Div utilisé pour contenir le 'label' et le 'select'.
                     * @type Element
                     */
                    var div = domService_.createElement("div").setAttribute('class', 'form-group').appendChild(label).appendChild(select).getDom();

                    label.innerHTML = "Rendering";
                    
                    for (var i = 0 ; i < factoryRendering.renderings.length ; i++) {
                        var option = domService_.createElement("option").setAttribute('value', factoryRendering.renderings[i]).getDom();
                        option.innerHTML = factoryRendering.renderings[i];
                        
                        select.appendChild(option);
                    }

                    config.rendering = config.rendering || factoryRendering.defaultRendering;
                    elementToAppendDom.append(div);
                };
            }

            return new domForRenderingSection();
        }
    ]
);