<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cfg="http://software.in2p3.fr/lavoisier/application.xsd">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    <xsl:variable name="VERSION">1</xsl:variable>

    <xsl:template match="cfg:view">
        <xsl:copy><xsl:apply-templates select="@*"/>
            <xsl:apply-templates select="cfg:namespace"/>
            <xsl:apply-templates select="cfg:*[not(self::cfg:namespace)] | text() | comment()"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="cfg:view/cfg:namespace">
        <xsl:text>
        </xsl:text>
        <xsl:copy><xsl:apply-templates select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>

    <!-- common -->
    <xsl:template match="/cfg:config/@version">
        <xsl:attribute name="version">
            <xsl:value-of select="$VERSION"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@* | comment()" priority="-1">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="*" priority="-1">
        <xsl:copy><xsl:apply-templates select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
